#    Licensed under the Apache License, Version 2.0 (the "License"); you may
#    not use this file except in compliance with the License. You may obtain
#    a copy of the License at
#
#         http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
#    WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
#    License for the specific language governing permissions and limitations
#    under the License.

"""add-security-risks

Revision ID: 5069a0e63566
Revises: b2713bc943c2
Create Date: 2024-09-13 15:35:14.294468

"""

from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '5069a0e63566'
down_revision = 'b2713bc943c2'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        'security_risk_type',
        sa.Column('id', sa.String(length=64), nullable=False),
        sa.Column('name', sa.String(length=64), nullable=False),
        sa.Column('description', sa.Text(), nullable=True),
        sa.PrimaryKeyConstraint('id'),
    )
    op.create_table(
        'security_risk',
        sa.Column('id', sa.String(length=64), nullable=False),
        sa.Column('status', sa.String(length=16), nullable=False),
        sa.Column('time', sa.DateTime(), nullable=False),
        sa.Column('type_id', sa.String(length=64), nullable=False),
        sa.Column('ipaddress', sa.String(length=64), nullable=False),
        sa.Column('port', sa.Integer(), nullable=True),
        sa.Column('expires', sa.DateTime(), nullable=False),
        sa.Column('project_id', sa.String(length=64), nullable=True),
        sa.Column('resource_id', sa.String(length=64), nullable=True),
        sa.Column('resource_type', sa.String(length=64), nullable=True),
        sa.ForeignKeyConstraint(
            ['type_id'],
            ['security_risk_type.id'],
        ),
        sa.PrimaryKeyConstraint('id'),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('security_risk')
    op.drop_table('security_risk_type')
    # ### end Alembic commands ###
